Unify and manage your data

Delete multiple blocked values for a Lookup type

Learn more about how to remove multiple blocked values for a specific lookup type in a single request.

Use Delete multiple blocked values for a Lookup type API to remove multiple blocked values for a specific lookup type in a single request. This operation deletes only the values associated with the specified lookup type.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST /configuration/{tenantId}/autopilot/{lookupType}/blockedValues/_delete

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier.
lookupTypeStringYesLookup type name.

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

The following table describes the request body parameters.

ParameterTypeRequiredDescriptionAccepted values / Default
valuesArray of stringsYesList of blocked values to remove for the specified lookup type.Must be non-empty. Maximum 1000 values per request.

Example request

Use the following example to see how a complete request is structured with headers and a JSON body.

{
  "values": ["TEST", "NA"]
}

Response fields

The following table describes the fields returned in the response body.

ValuesTypeDescription
statusStringIndicates the result of the operation.

Example response

The following example shows a successful response.

{
  "status": "success"
}